%define name		pygame
%define version		1.9.1
%define release		%mkrel 4
%define lib_name_orig   lib%{name}
%define lib_major	1.9
%define lib_name	%mklibname %{name} %{lib_major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://www.pygame.org/ftp/%{name}-%{version}release.tar.xz
Patch0:		pygame-1.9.1-config.patch
Patch1:         pygame-1.9.1-porttime.patch
Patch2:         pygame-1.9.1-no-test-install.patch
Patch3:         pygame-remove-v4l.patch
Summary:	Python module for interfacing with the SDL multimedia library
License:	LGPL style
Group:		System/Libraries
URL:		http://pygame.org/
#----------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}SDL_mixer1.2-devel
BuildRequires: %{_lib}SDL_ttf-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}portmidi-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}smpeg0.4-devel
BuildRequires: %{_lib}x11-devel
#----------------------------------------
Requires:	SDL >= 1.2.4
Provides:       python-pygame
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for the Numerical Python extension. pygame is the  successor  to
the pySDL wrapper project, written by Mark Baker.

Install pygame if you would like to write or play SDL games  written  in
the python language.

%package doc
Summary: Pygame documentation and example programs
Group: Documentation

%description doc
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for Numerical Python extension. pygame is the successor  to  the
pySDL wrapper project, written by Mark Baker.

Install pygame-doc  if  you  need  the  API  documentation  and  example
programs.

%package -n %{lib_name}-devel
Summary: Pygame development headers
Group: Development/Python
Obsoletes: libpygame1.7-devel <= 1.8.1
Provides: %{lib_name}-devel = 1.9.1
Provides: pygame1.9-devel

%description -n %{lib_name}-devel
pygame is a Python  wrapper  module  for  the  SDL  multimedia  library,
written by Pete Shinners. It contains python functions and classes  that
will allow you to use SDL's support for playing cdroms, audio and  video
output, and keyboard, mouse and joystick  input.  pygame  also  includes
support for Numerical Python extension. pygame is the successor  to  the
pySDL wrapper project, written by Mark Baker.

Install the devel package if you  want  to  build  programs  build  with
pygame.


%prep
%setup -q -n %{name}-%{version}release
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%__python config.py
%__python setup.py build

chmod 0644 WHATSNEW \
	lib/*.ttf \
	lib/pygame_icon* \
	lib/pygame.ico

%install
%__rm -rf %buildroot
%__python setup.py install --prefix %buildroot%{_prefix}
# Is this necessary? -Ertain
#chmod 755 %buildroot%py_platsitedir/%{name}/freesansbold.ttf

%clean
%__rm -rf %buildroot


%files
%defattr(-,root,root)
%py_platsitedir/*
%doc README.txt PKG-INFO WHATSNEW

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/python%{pyver}/%{name}/

%files doc
%defattr(-,root,root)
%doc docs
%doc examples


%changelog
* Sat Dec 28 2013 gseaman <galen.seaman at comcast.net> 1.9.1-4pclos2014
- added Provides: pygame1.9-devel, BuildRequires: portmidi-devel

* Wed Aug 14 2013 billybot <billybot< 1.9.1-3pclos2013
- update

* Wed Aug 17 2011 Texstar <texstar at gmail.com> 1.9.1-2pclos2011
- fix build with fedora patches

* Tue Feb 01 2011 Ertain <sirius-c at iname.com> 1.9.1-1pclos2011
- 1.9.1
- Changed the suffix to *.tar.xz
- Fixed that portmidi problem (hopefully).

* Fri Sep 03 2010 Texstar <texstar at gmail.com> 1.8.1-5pclos2010
- rebuild for python 2.6.6


